<!DOCTYPE html>
<!--[if lt IE 7 ]> <html lang="en" class="no-js ie6 lt8"> <![endif]-->
<!--[if IE 7 ]>    <html lang="en" class="no-js ie7 lt8"> <![endif]-->
<!--[if IE 8 ]>    <html lang="en" class="no-js ie8 lt8"> <![endif]-->
<!--[if IE 9 ]>    <html lang="en" class="no-js ie9"> <![endif]-->
<!--[if (gt IE 9)|!(IE)]><!--> <html lang="en" class="no-js"> <!--<![endif]-->
    <head>
        <meta charset="UTF-8" />
        <!-- <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">  -->
        <title>Zalohovani-vi.vsb.cz - nástroj na obnovu dat</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"> 
        <meta name="description" content="Zalohovani-vi.vsb.cz - nástroj na obnovu dat" />
        <meta name="keywords" content="" />
        <meta name="author" content="vas325@vsb.cz" />
        <link rel="shortcut icon" href="../favicon.ico"> 
        <link rel="stylesheet" type="text/css" href="css/demo.css" />
        <link rel="stylesheet" type="text/css" href="css/style.css" />
		<link rel="stylesheet" type="text/css" href="css/animate-custom.css" />
    </head>
 
<?php
session_start();
session_name("PHPSESSID");
error_reporting(E_ALL);
ini_set('display_errors', 'On');

include("auth_ldap.php");

if(isset($_POST['userLogin'])){
    $userid = trim(addslashes($_POST['userLogin']));
    $passwd = trim(addslashes($_POST['userPassword']));
    // run information through authenticator
    if(authenticate($userid,$passwd))
    {
        // authentication passed
        header("Location: show.php");
        die();
    } else {
        // authentication failed
        $error = 1;
    }
}

// output logout success
if(isset($_GET['out'])) echo "Logout successful";
?>


    <body>
        <div class="container">
            
            <header>
            <div class="toph1">
                <h1>Zalohovani-vi.vsb.cz - nástroj pro obnovu dat</h1>
            </div>
            </header>
            <section>				
                <div id="container_demo1" >
                    
                    <a class="hiddenanchor" id="toregister"></a>
                    <a class="hiddenanchor" id="tologin"></a>
                     <?php // output error to user
                            if(isset($error)) echo "<div id=\"alert\" class=\"alert\">Login failed: Incorrect user name, password, or rights</div>";
                        ?>
                    <div id="wrapper">
                        <div id="login" class="animate form">
                            <form  action="index.php" method="post"> 
                                <h1>Přihlášení</h1> 
                                <p> 
                                    <label for="username" class="uname" data-icon="u" > LDAP uživatel </label>
                                    <input id="username" name="userLogin" required="required" type="text" placeholder="abc123"/>
                                </p>
                                <p> 
                                    <label for="password" class="youpasswd" data-icon="p"> Vaše heslo </label>
                                    <input id="password" name="userPassword" required="required" type="password" placeholder="X8df!90EO" /> 
                                </p>
    
                                <p class="login button"> 
                                    <input type="submit" value="Přihlásit" /> 
								</p>
                                <p class="change_link">
									Nemůžete se přihlásit?
									<a href="http://idoc.vsb.cz/xwiki/wiki/infra/view/uzivatel/jednotne-heslo" target="_blank" class="to_register">Pokračujte zde</a> 
								</p>
                            </form>
                       </div>
                
                        <div id="register" class="animate form">
                            <form  action="mysuperscript.php" autocomplete="on"> 
                                <h1> Sign up </h1> 
                                <p> 
                                    <label for="usernamesignup" class="uname" data-icon="u">Your username</label>
                                    <input id="usernamesignup" name="usernamesignup" required="required" type="text" placeholder="mysuperusername690" />
                                </p>
                                <p> 
                                    <label for="emailsignup" class="youmail" data-icon="e" > Your email</label>
                                    <input id="emailsignup" name="emailsignup" required="required" type="email" placeholder="mysupermail@mail.com"/> 
                                </p>
                                <p> 
                                    <label for="passwordsignup" class="youpasswd" data-icon="p">Your password </label>
                                    <input id="passwordsignup" name="passwordsignup" required="required" type="password" placeholder="eg. X8df!90EO"/>
                                </p>
                                <p> 
                                    <label for="passwordsignup_confirm" class="youpasswd" data-icon="p">Please confirm your password </label>
                                    <input id="passwordsignup_confirm" name="passwordsignup_confirm" required="required" type="password" placeholder="eg. X8df!90EO"/>
                                </p>
                                <p class="signin button"> 
									<input type="submit" value="Sign up"/> 
								</p>
                                <p class="change_link">  
									Already a member ?
									<a href="http://idoc.vsb.cz/xwiki/wiki/infra/view/uzivatel/jednotne-heslo" class="to_register">You can not log in?</a>
								</p>
                            </form>
                        </div>
						
                    </div>
                </div>  
            </section>
        </div>
    </body>
</html>
