<?php
error_reporting(E_ALL);
ini_set('display_errors', 'On');
header('Content-type: application/json; charset=utf-8');

$con = mysqli_connect("SERVER","USER","PASSWD","DB");

  if (!$con)
  {
    die('Could not connect: ' . mysqli_error());
  }


$file = 'zalohovani-vi.sql';

if($fp = file_get_contents($file)) {
  $var_array = explode(';',$fp);
  foreach($var_array as $value) {
    mysqli_query($con, $value.';');
  }
}


$data = file_get_contents ("import/veeam_rp-last.json");
//This will convert ASCII/ISO-8859-1 to UTF-8.
    //Be careful with the third parameter (encoding detect list), because
    //if set wrong, some input encodings will get garbled (including UTF-8!)
$data = mb_convert_encoding($data, 'UTF-8', 'ASCII,UTF-8,ISO-8859-1');

    //Remove UTF-8 BOM if present, json_decode() does not like it.
if(substr($data, 0, 3) == (pack("CCC", 0xEF, 0xBB, 0xBF))) $data = substr($data, 3);

//print_r($data);
$json = json_decode($data);

//var_dump($json);
echo json_last_error(); // 4 (JSON_ERROR_SYNTAX)
echo json_last_error_msg(); // unexpected character 



mysqli_query($con, "TRUNCATE seznam_permission;") or die(mysqli_error());
mysqli_query($con, "TRUNCATE seznam_detail;") or die(mysqli_error());


foreach ($json->server as $name => $value) {
$db_name = mysqli_real_escape_string($con, $name); 
echo "Name: ".$db_name."\n";
	mysqli_set_charset($con, "utf8");
	mysqli_query($con, "INSERT INTO seznam_srv (nazev_srv) VALUES ('$db_name') ON DUPLICATE KEY UPDATE nazev_srv='$db_name'; ") or die(mysqli_error());

	$id_nazev = mysqli_query($con, "SELECT id from seznam_srv WHERE nazev_srv LIKE '$db_name' ;") or die(mysqli_error());
	$id_nazev = mysqli_fetch_assoc($id_nazev);
	$id_nazev = $id_nazev["id"];


	if ($value->permission){
	foreach ($value->permission as $permiss) {
	//$db_permiss = substr(mysqli_real_escape_string($con, $permiss),5);
	$db_permiss = $permiss;
	echo 'Permission: '.$db_permiss."\n";
	echo "$id_nazev \n";
	mysqli_query($con, "INSERT INTO seznam_permission (id_nazev,permission) VALUES ('$id_nazev','$db_permiss');") or die(mysqli_error());
	}}
	


	echo "*Local*\n";
	if ($value->local){
	foreach ($value->local as $local) {
	echo 'Create: '.$local->create."\n";
	$db_create = mysqli_real_escape_string($con,$local->create);
	$db_create = date("Y-m-d H:i:s",strtotime($db_create));
	echo 'Type: '.$local->type."\n";
	$db_type = mysqli_real_escape_string($con,$local->type);
	mysqli_query($con, "INSERT INTO seznam_detail (id_nazev,datum,type,umisteni_zalohy) VALUES ('$id_nazev','$db_create','$db_type','V rámci VŠB');") or die(mysqli_error());
	}}

	echo "*Remote*\n";
	if ($value->remote){
	foreach ($value->remote as $remote) {
	echo 'Create: '.$remote->create."\n";
	$db_create = mysqli_real_escape_string($con,$remote->create);
	$db_create = date("Y-m-d H:i:s",strtotime($db_create));
	echo 'Type: '.$remote->type."\n";
	$db_type = mysqli_real_escape_string($con,$remote->type);
	mysqli_query($con, "INSERT INTO seznam_detail (id_nazev,datum,type,umisteni_zalohy) VALUES ('$id_nazev','$db_create','$db_type','Mimo VŠB');") or die(mysqli_error());
	}}


echo "\n ------------------ \n";	
}


  mysqli_close($con);
?>

